<ng-container *ngIf="actionWordViewComponentData">
  <div class="action-word-information-grid">
    <sqtm-core-label
      [text]="'sqtm-core.entity.project.label.singular' | translate"
    >
    </sqtm-core-label>
    <div [attr.data-test-field-id]="'action-word-project-name'">
      <span>{{ actionWordViewComponentData.projectName }}</span>
    </div>

    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.creation.label' | translate"
    >
    </sqtm-core-label>
    <div [attr.data-test-field-id]="'action-word-created'">
      <span
        class="text-ellipsis"
        nz-tooltip
        [sqtmCoreLabelTooltip]="
          getAuditableText(
            actionWordViewComponentData.createdOn,
            actionWordViewComponentData.createdBy
          )
        "
        >{{
          getAuditableText(
            actionWordViewComponentData.createdOn,
            actionWordViewComponentData.createdBy
          )
        }}</span
      >
    </div>

    <sqtm-core-label
      class="grid-column-start-1"
      [text]="'sqtm-core.entity.generic.modification.label' | translate"
    >
    </sqtm-core-label>
    <div [attr.data-test-field-id]="'action-word-lastModified'">
      <span
        class="text-ellipsis"
        nz-tooltip
        [sqtmCoreLabelTooltip]="
          getAuditableText(
            actionWordViewComponentData.lastModifiedOn,
            actionWordViewComponentData.lastModifiedBy
          )
        "
        >{{
          getAuditableText(
            actionWordViewComponentData.lastModifiedOn,
            actionWordViewComponentData.lastModifiedBy
          )
        }}</span
      >
    </div>
  </div>
  <div style="margin-top: 20px">
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.description.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-rich-text
      [border]="true"
      [focus]="true"
      [editable]="actionWordViewComponentData.writable"
      [value]="actionWordViewComponentData.description"
      (confirmEvent)="changeDescription($event)"
      [attr.data-test-field-id]="'action-word-description'"
      [placeholder]="
        'sqtm-core.generic.editable.description.placeholder' | translate
      "
    >
    </sqtm-core-editable-rich-text>
  </div>
</ng-container>
